import {
  appColors,
  appFonts,
  fontSizes,
  windowHeight,
  windowWidth,
} from "@src/themes";
import { StyleSheet } from "react-native";

const styles = StyleSheet.create({
  mainView: {
    marginVertical: windowHeight(5),
    marginBottom: 0,
  },
  image: {
    width: windowHeight(70),
    height: windowHeight(70),
    resizeMode: "contain",
    marginBottom: windowHeight(15),
    marginRight: windowWidth(15),
  },
  position: {
    marginHorizontal: windowWidth(15),
    marginVertical: windowHeight(10),
  },
  des: {
    fontFamily: appFonts.semiBold,
    fontSize: fontSizes.FONT21,
    width: windowWidth(290),
    color: "#BADFD6",
  },
  button: {
    height: windowHeight(30),
    width: windowWidth(165),
    backgroundColor: appColors.whiteColor,
    borderRadius: windowWidth(35),
    marginTop: windowHeight(10),
    alignItems: "center",
    paddingHorizontal: windowWidth(15),
    flexDirection: "row",
  },
  buttonText: {
    fontFamily: appFonts.semiBold,
    fontSize: fontSizes.FONT18,
    color: appColors.primary,
    marginHorizontal: windowWidth(5),
  },
  box: {
    width: "92%",
    paddingVertical: windowHeight(10),
    borderWidth: 1,
    alignSelf: "center",
    borderRadius: windowWidth(20),
    marginVertical: windowHeight(8),
  },
  que: {
    fontFamily: appFonts.bold,
    fontSize: fontSizes.FONT20,
    color: appColors.primary,
  },
  trems: {
    fontSize: fontSizes.FONT17,
    fontFamily: appFonts.medium,
    textDecorationLine: "underline",
    color: appColors.gray,
  },
  note: {
    marginTop: windowHeight(5),
    width: "92%",
    alignSelf: "center",
    color: appColors.gray,
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT18,
  },
  des1: {
    color: appColors.gray,
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT17,
    width: windowWidth(290),
    marginTop: windowHeight(5),
  },
  viewButton: {},
  text: {
    color: appColors.gray,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT16,
    marginHorizontal: windowWidth(15),
    textDecorationLine: "underline",
  },
  line: {
    height: windowHeight(4),
    width: "100%",
    marginVertical: windowHeight(10),
  },
  box1: {
    paddingVertical: windowHeight(1),
    width: "92%",
    borderRadius: windowWidth(20),
    borderWidth: windowWidth(0.45),
    alignSelf: "center",
    marginBottom: windowHeight(15),
    alignItems: "flex-end",
    justifyContent: "space-between",
    paddingBottom: windowHeight(5),
  },
  profileImage: {
    height: windowHeight(43),
    width: windowHeight(43),
    borderRadius: windowHeight(43),
  },
  profileImage1: {
    height: windowHeight(43),
    width: windowHeight(43),
    borderRadius: windowHeight(43),
    alignItems: "center",
    justifyContent: "center",
  },
  title: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT19,
    width: "70%",
  },
  pendingView: {
    paddingHorizontal: windowWidth(19),
    height: windowHeight(25.5),
    borderRadius: windowWidth(35),
    backgroundColor: appColors.status,
    alignItems: "center",
    justifyContent: "center",
    alignSelf: "flex-end",
  },
  pendingText: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT19,
    color: appColors.statusText,
  },
  email: {
    color: appColors.gray,
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT18,
    marginTop: windowHeight(2),
  },
});

export default styles;
